Bug 801712 - wrapper cli 'rhc app' should support command 'expose-port' as well
wrapper cli 'rhc app' should support command 'expose-port' as well
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
1.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 03:59 EST by Meng Bo
Modified: 2013-11-17 19:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 14:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-03-09 03:59:49 EST
Description of problem:
command 'expose-port' is supported by cli 'rhc-ctl-app', but isn't supported by wrapper cli 'rhc app'.

Version-Release number of selected component (if applicable):
rhc-0.88.2-1.el6_2.noarch

How reproducible:
always

Steps to Reproduce:
1.rhc app expose-port -a testapp
2.
3.
  
Actual results:
returns 'missing or invalid command', expose-port is not supported by wrapper cli.

Expected results:
wrapper cli should support expose-port command as well.

Additional info:
expose command is supported by old cli 'rhc-ctl-app'.
Comment 1 Rob Millner 2012-03-12 14:17:54 EDT
The return values from expose and show-port are not being parsed by the API and setup behind the scenes as part of scaling.  These commands were exposed for testing and aren't needed any more.

commit c4b65c9 in li
commit 6742a5b in os_client_utils
Comment 2 Meng Bo 2012-03-13 01:17:47 EDT
checked on devenv_1659,
the expose-port command has been removed from client side.
mark bug as verified.

Note You need to log in before you can comment on or make changes to this bug.